package kr.co.zioinfo.web.repository;

import kr.co.zioinfo.web.model.Recruit;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import java.util.List;

public interface RecruitRepository extends JpaRepository<Recruit, Long> {
    List<Recruit> findByActiveTrueOrderByCreatedAtDesc();
    Page<Recruit> findAllByOrderByCreatedAtDesc(Pageable pageable);
    long countByActiveTrue();
}
